#pragma once

#include "CoreMinimal.h"
#include "PlayerMovementCorrectionAnalytics.h"
#include "PlayerMovementCorrectionData.generated.h"

USTRUCT(BlueprintType)
struct FPlayerMovementCorrectionData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FPlayerMovementCorrectionAnalytics ServerCorrectionAnalytics;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 CurrentSpikeServerCorrectionsCounts;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 ServerCorrectionsCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SpikeAbove5ServerCorrectionsCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SpikeAbove10ServerCorrectionsCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SpikeAbove20ServerCorrectionsCount;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 ServerCorrectionsScore;

public:
	DBDANALYTICS_API FPlayerMovementCorrectionData();
};

FORCEINLINE uint32 GetTypeHash(const FPlayerMovementCorrectionData) { return 0; }
